py_flow.d(1m)

NAME
py_flow.d - snoop Python execution showing function flow.

SYNOPSIS
py_flow.d

DESCRIPTION
This traces Python activity from all Python programs on the system running with Python provider support. This watches Python function entries and returns, and indents child function calls.

OS
Any

STABILITY
Evolving - uses the DTrace Python provider, which may change as additional features are introduced. Check Python/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # py_flow.d

FIELDS

C   CPU-id

TIME(us)
    Time since boot, us

FILE
    Filename that this function belongs to

FUNC
    Function name

LEGEND

->  function entry

<-  function return

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
py_flow.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)